#include <stdio.h>
#include <fcntl.h>
#include <unistd.h>
#include <string.h>
#include <atari.h>
#include <conio.h>

#include "../src/config.h"

void print(const char *text) {
	fputs(text, stdout);
}

void main(void) {
	OS.color4 = 0xff;

	print("\x7d" "URL: ");
	print(conf->url);
	putchar('\n');

	print("Nick: ");
	print(conf->nick);
	putchar('\n');

	print("Pingpong: ");
	print(conf->show_ping ? "yes" : "no");
	putchar('\n');

	print("Autoaway: ");
	print(conf->atract_away ? "yes" : "no");
	putchar('\n');

	print("Hidemotd: ");
	print(conf->hide_motd ? "yes" : "no");
	putchar('\n');

	cgetc();
}
